/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.corejsf;

import javax.faces.component.UICommand;
import javax.faces.context.FacesContext;

/**
 *
 * @author Ivan
 */
public class UITabbedPane extends UICommand{
    private String content;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
    
    //metode za pamcenje i restauriranje stanja ako se pamti na klijentu
    public Object saveState(FacesContext context){
        Object values[]=new Object[3];
        values[0]=super.saveState(context);
        values[1]=content;
        return values;
        
    }
    public void restoreState(FacesContext context,Object state){
    Object values[]=(Object[])state;
    super.restoreState(context, values[0]);
    content=(String)values[1];
    }
    

}
